% !TeX spellcheck = en_US
\graphicspath{{src/part05_mesh_motion_cyclic/img/}}

\section{Movimientos cíclicos}
\begin{frame}[plain,noframenumbering]{}
    
    \begin{centering}
        \hfill
        \begin{beamercolorbox}[rounded=true,center,sep=0.2em,wd=0.6\textwidth]{frametitle}
            \Huge Cyclic Motions
        \end{beamercolorbox}
        \hfill
    \end{centering}
    
    
    \begin{center}
        \begin{minipage}{0.75\textwidth}
            \begin{columns}
                
                \column[t]{0.4\textwidth}
                \begin{block}{2D deformation mode}
                    \begin{itemize}
                        \item \textit{Thin-Walled Beam}
                        \begin{itemize}
                            \item[-] Translation + % + Rotación + Flexión
                            \item[] Rotation +
                            \item[] Bending
                        \end{itemize}
                        
                    \end{itemize}
                \end{block}
                
                \column[t]{0.4\textwidth}
                \begin{block}{3D deformation mode}
                    \begin{itemize}
                        \item \textit{Hollow Beam}
                        \begin{itemize}
                            \item[-] Torsion
                        \end{itemize}
                    \end{itemize}
                \end{block}
                
            \end{columns}
        \end{minipage}
    \end{center}   
    
\end{frame}

\subsection{Stress-free Configurations - Strategy Selection}
\begin{frame}{Stress-free configurations - strategy selection\blfootnote{Tonon et al., Comput. Mech., 2021, A linear-elasticity-based mesh moving method with no cycle-to-cycle accumulated distortion. DOI:\href{https://doi.org/10.1007/s00466-020-01941-y}{10.1007/s00466-020-01941-y}}}
\vspace{-0.8em}    
\begin{columns}
    \column[t]{0.42\textwidth}\vspace{-1.5em}
    \begin{block}{TZ}
        \centering
        \includegraphics[width=0.725\textwidth]{cyclic_reference_configurations_tz.pdf}
    \end{block}
    %
    \begin{block}{BCBMM}\vspace{-1.0em}
        \centering
        \includegraphics[width=0.725\textwidth]{cyclic_reference_configurations_bcbmm.pdf}
    \end{block}

    \column[t]{0.42\textwidth}\vspace{-1.5em}
    \begin{block}{TN}
        \centering
        \includegraphics[width=0.725\textwidth]{cyclic_reference_configurations_tn.pdf}
    \end{block}
    %
    \begin{block}{HCBMM}\vspace{-1.0em}
        \centering
        \includegraphics[width=0.725\textwidth]{cyclic_reference_configurations_hcbmm.pdf}
    \end{block}
    
\end{columns}


    
    
\end{frame}

\subsection{\textit{Thin-Walled Beam}}
\begin{frame}{Cyclic motions -- \textit{Thin-Walled Beam}}
    
    \vspace{-2.4em}
    \begin{columns}
        
        \column[t]{0.50\textwidth}
        \begin{block}{Deformation mode}\vspace{0.1em}
            \centering
            \includegraphics[height=0.70\textheight]{2d_beam_full_test.pdf}
        \end{block}
    
        \column[t]{0.50\textwidth}
        \begin{block}{Initial discretization}\vspace{0.1em}
            \centering
            \includegraphics[height=0.70\textheight]{2d_beam_initial_mesh.pdf}    
        \end{block}
    \end{columns}


    \begin{center}
        \begin{minipage}{0.8\textwidth}
            \begin{columns}
                \column[t]{0.4\textwidth}
                \vspace{-2em}
                \begin{block}{}
                    \begin{itemize}
                        \item 2080 elements
                        \item 1069 nodes
                    \end{itemize}
                \end{block}
                
                \column[t]{0.1\textwidth}
                
                \column[t]{0.5\textwidth}
                \begin{block}{}\vspace{-2.8em}
                    \begin{table}[h]
                        \begin{center}
                            \tiny
                            \begin{minipage}{1.0\textwidth}
                                \begin{tabular*}{\textwidth}{@{\extracolsep{\fill}}lccccc@{\extracolsep{\fill}}}
                                    \toprule%
                                    \multicolumn{3}{@{}l@{}}{BIMO} & \multicolumn{3}{@{}l@{}}{MJBS} \\\cmidrule{1-3}\cmidrule{4-6}%
                                    & $k_f/k_g$ & $\lambda_{max}$  &        & $\nu$ & $\chi$ \\
                                    \midrule
                                    BIMO  & $1.0$     & $1.5$             &  MJBS & $0.3$   & $1$ \\
                                    \bottomrule
                                \end{tabular*}
                            \end{minipage}
                        \end{center}
                    \end{table}
                \end{block}
                
            \end{columns}
        \end{minipage}
    \end{center}
\end{frame}

\begin{frame}{Cyclic motions -- \textit{Thin-Walled Beam}}
    
    \vspace{-2em}
    \begin{columns}
        \column[c]{0.60\textwidth}
        \begin{block}{}
            \centering
            %\hspace*{-0.7em}
            \includegraphics[width=1.1\textwidth]{2d_beam_violin_mjbs_vs_bimo.pdf}
        \end{block}
        
        \begin{columns}
            \column[c]{0.5\textwidth}
            \vspace{-2em}
            \begin{block}{}
                %\hspace*{-0.7em}
                \includegraphics[height=0.45\textheight]{2d_beam_cyclic_distortionL2_log.pdf}
            \end{block}
            
            %
            \column[c]{0.5\textwidth}\vspace{-4em}
            \begin{block}{}
                \tiny
                \begin{align*}
                \epsilon_{L_2}^h (t,t_{ref}) = 
                \left(\frac{\int_{\Omega_{ref}} \lVert \x_t^h - \x_{ref}^h \rVert^{2} \, d\Omega}{\int_{\Omega_{ref}} d\Omega}\right)^{1/2}
                \end{align*}
            \end{block}
        
        \end{columns}
        
        
        
        %\column[c]{0.05\textwidth}
                
        \column[c]{0.40\textwidth}\vspace{-0.5em}
        \begin{block}{\centering\small MJBS}\vspace{0.1em}
            \centering
            \href{run:src/part05_mesh_motion_cyclic/img/2d_beam_cyclic_mjbs.mp4?autostart}
            {\includegraphics[height=0.42\textheight]{2d_beam_cyclic_mjbs-0450.png}}
        \end{block}
        
        \vspace{-1.2em}
        \begin{block}{\centering\small BIMO}\vspace{0.1em}
            \centering
            \href{run:src/part05_mesh_motion_cyclic/img/2d_beam_cyclic_bimo.mp4?autostart}
            {\includegraphics[height=0.42\textheight]{2d_beam_cyclic_bimo-0450.png}}
        \end{block}
        
    \end{columns}
    
\end{frame}



\subsection{\textit{Hollow Beam}}
\begin{frame}{Cyclic motions - \textit{Hollow Beam}}
    
    \vspace{-2em}
    \begin{columns}    
        
        \column[t]{0.50\textwidth}
        \begin{block}{Deformation mode}\vspace{0.1em}
            \centering
            \includegraphics[height=0.65\textheight]{3d_beam_motion_torsion_sketch.pdf}
        \end{block}
        
        \column[t]{0.50\textwidth}
        \begin{block}{Initial discretization}\vspace{0.1em}
            \centering
            \includegraphics[height=0.65\textheight]{3d_beam_init_mesh.pdf}    
        \end{block}
        
        
    \end{columns}

\begin{center}
    \begin{minipage}{0.8\textwidth}
        \begin{columns}
            \column[t]{0.4\textwidth}
            \vspace{-2em}
            \begin{block}{}
                \begin{itemize}
                    \item 33319 elements
                    \item 7046 nodes
                \end{itemize}
            \end{block}
            
            \column[t]{0.1\textwidth}
            
            \column[t]{0.5\textwidth}
            \begin{block}{}\vspace{-2.5em}
                \begin{table}[h]
                    \begin{center}
                        \tiny
                        \begin{minipage}{1.0\textwidth}
                            \begin{tabular*}{\textwidth}{@{\extracolsep{\fill}}lccccc@{\extracolsep{\fill}}}
                                \toprule%
                                \multicolumn{3}{@{}l@{}}{BIMO} & \multicolumn{3}{@{}l@{}}{MJBS} \\\cmidrule{1-3}\cmidrule{4-6}%
                                & $k_f/k_g$ & $\lambda_{max}$  &        & $\nu$ & $\chi$ \\
                                \midrule
                                BIMO  & $1.0$     & $1.05$             &  MJBS & $0.3$   & $1$ \\
                                \bottomrule
                            \end{tabular*}
                        \end{minipage}
                    \end{center}
                \end{table}
            \end{block}
            
        \end{columns}
    \end{minipage}
\end{center}

\end{frame}

\begin{frame}{Cyclic motions - \textit{Hollow Beam}}
    
    \vspace{-2em}
    \begin{columns}
        \column[c]{0.60\textwidth}
        \begin{block}{}
            \centering
            %\hspace*{-0.7em}
            \includegraphics[width=1.1\textwidth]{3d_beam_violin_mjbs_vs_bimo.pdf}
        \end{block}
        
        \begin{columns}
            \column[t]{0.5\textwidth}
            \vspace{-4em}
            \begin{block}{}
                %\hspace*{-0.7em}
                \includegraphics[height=0.45\textheight]{3d_beam_cyclic_distortionL2_log.pdf}
            \end{block}
            
            %
            \column[t]{0.5\textwidth}\vspace{-4em}
            \begin{block}{}
                \tiny
                \begin{align*}
                \epsilon_{L_2}^h (t,t_{ref}) = 
                \left(\frac{\int_{\Omega_{ref}} \lVert \x_t^h - \x_{ref}^h \rVert^{2} \, d\Omega}{\int_{\Omega_{ref}} d\Omega}\right)^{1/2}
                \end{align*}
            \end{block}
            
        \end{columns}
        
        
        
        %\column[c]{0.05\textwidth}
        
        \column[c]{0.40\textwidth}\vspace{0.5em}
        \begin{block}{\centering\small MJBS}\vspace{0.1em}
            \centering
            \href{run:src/part05_mesh_motion_cyclic/img/3d_beam_cyclic_mjbs.mp4?autostart}
            {\includegraphics[height=0.42\textheight]{3d_beam_cyclic_mjbs-0450.png}}
        \end{block}
        
        \vspace{-1.1em}
        \begin{block}{\centering\small BIMO}\vspace{0.1em}
            \centering
            \href{run:src/part05_mesh_motion_cyclic/img/3d_beam_cyclic_bimo.mp4?autostart}
            {\includegraphics[height=0.42\textheight]{3d_beam_cyclic_bimo-0450.png}}
        \end{block}
        
    \end{columns}
    
\end{frame}